.album-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.album-card {
  border-radius: 5px;
  overflow: hidden;
  display: flex;
  width: 100%;
  background-color: #eceee9;
  min-width: 700px;
  max-width: 900px;
  transition: box-shadow 0.3s ease;
}

.album-card.hovered {
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
}

.album-cover {
  display: flex;
  align-items: center;
  border-radius: 5px 0 0 5px;
}

.album-card img {
  width: 150px;
  height: auto;
  object-fit: scale-down;
  flex-shrink: 0;
  margin-top: 10px;
  margin-left: 10px;
  margin-right: 10px;
  border-radius: 5px;
}

.album-details {
  flex: 1;
  padding: 20px;
  display: flex;
  flex-direction: column;
}

.album-details h2 {
  color: #232c28;
  text-align: left;
  font-size: 1.2rem;
  margin-top: 0;
  margin-bottom: 10px;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.album-details p {
  color: #232c28;
  margin: 5px 0;
  text-align: left;
}
